Description

Supportanfrage

As we are also one of official distribution partners for ADTF-3.x tool, I would like to know some information

We need answers related to the issue ADEVTB-1531 : MS3: Provide support for SOME/IP Server/Client calls and internal states , in

current Download Center this is shown as planned and upcoming feature

Maturity Level : Prototype, Functional ?

Functional Description : How does this exactly work (the functional usecases of this service ?)

Fix Version : 2020b Feature and Patch Bundle : What does exactly this mean can you please provide the release date for this ?

If you think a discussion from us will be helpful about technical usecases might be also possible, please feel free to propose your

thoughts on SOME/IP Service in ADTF

Thanks for the time and support

Stay Healthy !!!

Best Regards

Nikhil Reddy KOTHAPALLY

Lösung

We need answers related to the issue ADEVTB-1531 : MS3: Provide support for SOME/IP Server/Client calls and internal

states , in current Download Center this is shown as planned and upcoming feature

 This is the 3rd milestone defined by customer forum's common requirements.

MS1: SOME/IP Tracing -> Device Toolbox 3.1.0 (Released)

MS2: SOME/IP Decoding -> Device Toolbox 3.2.0 (Queue, waiting for upcoming ADTF 3.7.0, within the next weeks)

MS3: Service Discovery (2020b, due to delay of MS2 and current Corona situation, I guess this will be postponed and can not

guaranteed. But customer forum is also postponed, so please be patent)

Maturity Level : Prototype, Functional ?

 Depends on the detailed specification and first release.

I would say it will be a bit more than Prototype but until we fulfill almost each interaction will take time and follow up issues and

requirements

Functional Description : How does this exactly work (the functional usecases of this service ?)

 This is currently not clear and we are open for suggestions, use cases and user stories to define the requirements.

Basically we are talking about interaction between participants. What does this mean about ADTF (participant ? master ? scheduler

?) is not clear at the moment.

And of course if ADTF is right place or there must be a distrbuted setup (like FEP integration) which speaks SOME/IP at low level to
treat it like a whole system architecture and middleware.

Fix Version : 2020b Feature and Patch Bundle : What does exactly this mean can you please provide the release date for this ?

 Our development and release process is devided in two milestones each year, so 2020b means second half of 2020.

A fixversion and release date is not in our planning.

So if you need, 31.12.2020.

But as already mentioned, I guess current resources and delays will also move this feature to next year to prevent architecture

trouble.

If you think a discussion from us will be helpful about technical usecases might be also possible, please feel free to propose

your thoughts on SOME/IP Service in ADTF

 Of course, we are open and free for discussing and arguments regarding everything, especially some kind of "Task Force" for

SOME/IP.

So let us know if we can work in this context together.

History

#1 - 2020-03-25 14:25 - hidden

- Project changed from Public Support to 26

- Topic set to DeviceTB::SOME/IP

- Customer set to TTTECH

- Affected Products ADTF Device Toolbox 3.1.0, ADTF Device Toolbox 3.2.0 added

#2 - 2020-03-25 14:51 - hidden

- Status changed from New to Customer Feedback Required

Hi Nikhil,

We need answers related to the issue ADEVTB-1531 : MS3: Provide support for SOME/IP Server/Client calls and internal states , in current

Download Center this is shown as planned and upcoming feature

 This is the 3rd milestone defined by customer forum's common requirements.

MS1: SOME/IP Tracing -> Device Toolbox 3.1.0 (Released)

MS2: SOME/IP Decoding -> Device Toolbox 3.2.0 (Queue, waiting for upcoming ADTF 3.7.0, within the next weeks)

MS3: Service Discovery (2020b, due to delay of MS2 and current Corona situation, I guess this will be postponed and can not guaranteed. But

customer forum is also postponed, so please be patent)

Maturity Level : Prototype, Functional ?

 Depends on the detailed specification and first release.

I would say it will be a bit more than Prototype but until we fulfill almost each interaction will take time and follow up issues and requirements

Functional Description : How does this exactly work (the functional usecases of this service ?)

 This is currently not clear and we are open for suggestions, use cases and user stories to define the requirements.

Basically we are talking about interaction between participants. What does this mean about ADTF (participant ? master ? scheduler ?) is not clear at

the moment.

And of course if ADTF is right place or there must be a distrbuted setup (like FEP integration) which speaks SOME/IP at low level to treat it like a

whole system architecture and middleware.

Fix Version : 2020b Feature and Patch Bundle : What does exactly this mean can you please provide the release date for this ?

 Our development and release process is devided in two milestones each year, so 2020b means second half of 2020.

A fixversion and release date is not in our planning.

So if you need, 31.12.2020.

But as already mentioned, I guess current resources and delays will also move this feature to next year to prevent architecture trouble.

If you think a discussion from us will be helpful about technical usecases might be also possible, please feel free to propose your thoughts on

SOME/IP Service in ADTF
 Of course, we are open and free for discussing and arguments regarding everything, especially some kind of "Task Force" for SOME/IP.

So let us know if we can work in this context together.

@Wolfgang/Frank/Bene: fyi

#3 - 2020-04-01 11:14 - hidden

Hello Nikhil,

we did not get any feedback.

Are your request solved?

Can the Ticket be closed?

#4 - 2020-04-01 11:30 - hidden

Dear Matthias,

Thanks for your replay and also sharing the information about the planned features of SOME/IP In ADTF Tool Box

Currently we are structuring our existing solution, to support Some/IP over ADTF 3.x in Windows

After April 14th we would like to discuss with you technical possibilities about providing this feature earlier

We need some time for System Object Design, what exactly we are looking for

Hope you understand

Best Regards

Nikhil Reddy KOTHAPALLY

#5 - 2020-04-06 08:47 - hidden

- Subject changed from [ADEVTB-1531] Related Functional Description & Maturity Level to Related Functional Description & Maturity Level regarding

SOME/IP service discovery

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

#6 - 2020-07-07 16:31 - hidden

- Project changed from 26 to Public Support

- Private changed from Yes to No

#7 - 2020-07-07 16:41 - hidden

- Status changed from To Be Closed to Closed
